<?php

/**
 * This include is directly taken from the catmgr.php script.
 * 
 * I have to do that, a it contains all functions, and can not be included, as it generates HTML code.
 *  
 */
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2006 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.10
  $Source$
  $Revision: 3275 $
  $Author: gaugau $
  $Date: 2006-09-03 12:10:47 +0200 (So, 03 Sep 2006) $
**********************************************/

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...');}
if (!defined('JUPLOAD_PHP')) { die('Not in Jupload...');}


function j_get_subcat_data($parent, $ident = '')
{
    global $CONFIG, $CAT_LIST;
    if ($CONFIG['categories_alpha_sort'] == 1) {
    $sort_query = 'name';
    } else {
    $sort_query = 'pos';
    }

    $sql =  " SELECT cid, name, description " . 
			" FROM {$CONFIG['TABLE_CATEGORIES']} " . 
			" WHERE parent = '$parent' " . 
			" ORDER BY $sort_query";
    $result = cpg_db_query($sql);

    if (($cat_count = mysql_num_rows($result)) > 0) {
        $rowset = cpg_db_fetch_rowset($result);
        $pos = 0;
        foreach ($rowset as $subcat) {
            if ($pos > 0) {
                $CAT_LIST[] = array('cid' => $subcat['cid'],
                    'parent' => $parent,
                    'pos' => $pos++,
                    'prev' => $prev_cid,
                    'cat_count' => $cat_count,
                    'name' => $ident . $subcat['name']);
                $CAT_LIST[$last_index]['next'] = $subcat['cid'];
            } else {
                $CAT_LIST[] = array('cid' => $subcat['cid'],
                    'parent' => $parent,
                    'pos' => $pos++,
                    'cat_count' => $cat_count,
                    'name' => $ident . $subcat['name']);
            }
            $prev_cid = $subcat['cid'];
            $last_index = count($CAT_LIST) -1;
            j_get_subcat_data($subcat['cid'], $ident . '&nbsp;&nbsp;&nbsp;');
        }
    }
}


/**
 * The following function is taken from the cat_list_box function, and adpated to Jupload.
 * The main difference (out of removing of code that is useless for JUpload) is the fact the value is
 * the category id. 
 */
function j_cat_list_box()
{
    global $CAT_LIST, $lang_albmgr_php, $lang_groupmgr_php, $category, $lang_list_users, $albumsCountPerCategory;

	//Response to onChange: now in Ajax.    
	//First possibility: submit the form. Works Ok. To be removed 
	//$onChange="form_category.submit();";
	//Second possibility: loads the album list for this category in an ajax call.
	//To be validated in all language configurations.
	$onChange="ajax_load_a_category();";

//eecho("En user_mode, la 1re catgorie doit tre la galerie de l'utilisateur");

	$selected = ($category == 0) ? ' selected': '';
	
	if (GALLERY_ADMIN_MODE) {
		$rootValue = '';
		$rootText  = $lang_albmgr_php['no_category'];
	} else {
		$rootValue = FIRST_USER_CAT + USER_ID;
    	$nbAlbumsTxt = sprintf(
    						$lang_list_users['n_albums'], 
    						isset($albumsCountPerCategory[FIRST_USER_CAT + USER_ID]) ? $albumsCountPerCategory[FIRST_USER_CAT + USER_ID] : 0
    					);
		$rootText  = "{$lang_groupmgr_php['personal_gallery']} ($nbAlbumsTxt)";
	}
	$lb = <<<EOT
        <select name="category" class="listbox" onchange="$onChange">
        	<option value="$rootValue" $selected>$rootText</option>
EOT;
    foreach($CAT_LIST as $cat) { 
    	$nbAlbumsTxt = sprintf(
    						$lang_list_users['n_albums'], 
    						isset($albumsCountPerCategory[$cat['cid']]) ? $albumsCountPerCategory[$cat['cid']] : 0
    					);
    	if ($cat['cid'] != 1) {
			$selected = ($category == $cat['cid']) ? ' selected': '';
	       	$lb .= <<<EOT
	    	<option value="${cat['cid']}" $selected>${cat['name']} ($nbAlbumsTxt)</option>

EOT;
    	}
    }

    $lb .= <<<EOT
        </select>

EOT;

    return $lb;
}


/*
The following function simply list the categories. It doesn't display there hierarchy.

function jupload_cat_list_box() {
	global $CONFIG, $lang_albmgr_php, $category; //$category contains the given category, that is: the currently selected one.
	
	$sql =  " SELECT cid, name, description " . 
			" FROM {$CONFIG['TABLE_CATEGORIES']} " . 
			" WHERE cid < " . FIRST_USER_CAT . 
			" ORDER BY " .  (  ($CONFIG['categories_alpha_sort'] == 1)  ? 'name' : 'pos');
	$result = cpg_db_query($sql);
	$selected = ($category == 0) ? ' selected': '';
	$lb = <<<EOT
		<select name="category" class="listbox" onChange="ajax_load_a_category();">
			<option value="0" $selected>${lang_albmgr_php['no_category']}</option>
EOT
;
	while ($row=mysql_fetch_array($result)) {
		$selected = ($category == $row['cid']) ? ' selected': '';
		$lb .= "			<option value='${row['cid']}' $selected>${row['name']}</option>";
	}//while

    $lb .= '		</select>';
    
    return $lb;
}
*/